Loading...
Searching...
No Matches
Opm::Linear::VertexBorderListFromGrid< GridView, VertexMapper > Class Template Reference

Uses communication on the grid to find the initial seed list of indices. More...

`#include <vertexborderlistfromgrid.hh>`

Inheritance diagram for Opm::Linear::VertexBorderListFromGrid< GridView, VertexMapper >:

## Public Member Functions

| VertexBorderListFromGrid (const GridView &gridView, const VertexMapper &map)
bool | contains (int dim, int codim) const
bool | fixedSize (int, int) const
template<class EntityType>
size_t | size (const EntityType &) const
template<class MessageBufferImp, class EntityType>
void | gather (MessageBufferImp &buff, const EntityType &e) const
template<class MessageBufferImp, class EntityType>
void | scatter (MessageBufferImp &buff, const EntityType &e, size_t)
const BorderList & | borderList () const
const BlackList & | blackList () const

## Detailed Description

template<class GridView, class VertexMapper>
class Opm::Linear::VertexBorderListFromGrid< GridView, VertexMapper >

Uses communication on the grid to find the initial seed list of indices.

Todo
  implement this class generically. For this, it must be possible to query the mapper whether it contains entities of a given codimension without the need to hand it an actual entity.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/vertexborderlistfromgrid.hh